Subject: Re: gcc Core Dump
From: [email-masked]
To: "Max Bowsher" <[email-masked]>
Cc: [email-masked]
Date: Thu, 6 Mar 2003 16:14:03 +0100 (MET)

Max, David,

thanks very much for your help.
I didn't know that my cygwin version is so old. I had just clean installed
it about one week ago from programming.ccp14.ac.uk. (obviously this mirror is
meanwhile gone).

I have now:
CYGWIN_NT-5.0 ZWG15-0274 1.3.19(0.71/3/2) 2003-01-23 21:31 i686 unknown
unknown
Cygwin

m<øw@ZWG15-0274 ~/Tutorials
$ type -a

m<øw@ZWG15-0274 ~/Tutorials
$ cygcheck -c gcc
Cygwin Package Information
Package             Version
gcc                 3.2-3

and it works!
just that the installation has crashed my bash installation (I had
akm007@ZWG15-0274 before...)

Thanks a lot,
Klaus

> [email-masked] wrote:
> > David,
> >
> > I installed gcc-2 now and tried with gcc-2.
> 
> That wasn't what he meant.
> 
> Upgrade gcc (not gcc2) to the current version: 3.2-3.
> 
> (This is what I would recommend in response to your reply with gdb
> results,
> as well)
> 
> > It compiles and links without problem as well.
> > When executing the program it doesn't go inside the function.
> > The program just outputs 'Hello World' twice and ends.
> 
> Now that's just weird.
> 
> > uname -a says:
> > CYGWIN_NT-5.0 ZWG15-0274 1.3.15(0.63/3/2) 2002-11-06 22:41 i686
> 
> Old version of cygwin. I don't think that's related to your gcc problem,
> but
> you might upgrade anyway. Bugfixes/improvements are happening all the
> time.
> 
> 
> Max.
> 

-- 
+++ GMX - Mail, Messaging & more  http://www.gmx.net +++
Bitte lächeln! Fotogalerie online mit GMX ohne eigene Homepage!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/